<?php

class seozavr
{
	var $version = '6';
	var $code = '95da9301788134f848ad1ac5f76f89b46a7c1f12';
	var $encoding = 'windows-1251';
	var $affiliateLink = '<a href="http://seozavr.ru/index.php?id=1991">   ...</a>';
	var $ips = array('87.242.99.71', '87.242.98.170');
	var $dbnum = '';
	var $catalogURL = '';
	var $enableAffiliateLink = true;

	function getHead()
	{
		$content = '';
		$empty = true;
		if ($articles = @file_get_contents(dirname(__FILE__) . "/db{$this->dbnum}.txt"))
		{
			if (($articles = @unserialize($articles)) && count($articles) > 0 && $articles['expire'] >= time())
			{
				$empty = false;
				if (isset($_GET['articleId']) && array_key_exists($_GET['articleId'], $articles))
				{
					$content .= "<title>{$articles[$_GET['articleId']]['articleTitle']}</title>\n";
					if (isset($articles[$_GET['articleId']]['articleDescription']) && !empty($articles[$_GET['articleId']]['articleDescription']))
					$content .= "<meta name=\"description\" content=\"{$articles[$_GET['articleId']]['articleDescription']}\"/>\n";
					if (isset($articles[$_GET['articleId']]['articleKeywords']) && !empty($articles[$_GET['articleId']]['articleKeywords']))
					$content .= "<meta name=\"keywords\" content=\"{$articles[$_GET['articleId']]['articleKeywords']}\"/>\n";
				}
				else
				{
					foreach ($articles as $article) if (!empty($article['articleThemeName'])) $articleThemes[] = $article['articleThemeName'];
					if (isset($articleThemes) && is_array($articleThemes)) $articleThemes = @array_unique($articleThemes);
					if (isset($articleThemes) && is_array($articleThemes)) $title = '    ' . implode(', ', $articleThemes);
					else $title = ' ';
					$content .= "<title>$title</title>\n";
				}
			}
		}
		if ($empty)
		{
			$content .= "<title>   </title>\n";
		}
		if ($this->encoding == 'windows-1251') return $content;
		else return iconv('windows-1251', $this->encoding, $content);
	}
	
	function showHead()
	{
		echo $this->getHead();
	}

	function getBody()
	{
		$content = '';
		$empty = true;
		if ($articles = @file_get_contents(dirname(__FILE__) . "/db{$this->dbnum}.txt"))
		{
			if (($articles = @unserialize($articles)) && count($articles) > 0 && $articles['expire'] >= time())
			{
				$empty = false;
				if (isset($_GET['articleId']) && array_key_exists($_GET['articleId'], $articles))
				{
					$content .= "<h1 class=\"articleName\">{$articles[$_GET['articleId']]['articleName']}</h1>\n";
					$content .= "<div class=\"articleText\">{$articles[$_GET['articleId']]['articleText']}</div>";
				}
				else
				{
					$themes = array();
					foreach ($articles as $articleId => $article)
					{
						if (!empty($article['articleThemeName'])) $themes[$article['articleThemeName']][$articleId] = $article;
					}
					foreach ($themes as $theme => $articles)
					{
						$content .= "<div class=\"paragraph\">";
						$content .= "<h2 class=\"articleThemeName\">$theme</h2>";
						foreach ($articles as $articleId => $article)
						{
							if (strpos($_SERVER['REQUEST_URI'], '?'))
							$content .= "<p class=\"articleLink\"><a href=\"http://{$_SERVER['SERVER_NAME']}{$_SERVER['REQUEST_URI']}&articleId=$articleId\">{$article['articleName']}</a></p>";
							else
							$content .= "<p class=\"articleLink\"><a href=\"http://{$_SERVER['SERVER_NAME']}{$_SERVER['REQUEST_URI']}?articleId=$articleId\">{$article['articleName']}</a></p>";
						}
						$content .= "</div>";
					}
					if ($this->enableAffiliateLink) $content .= '<br /><p class="promoLink">' . $this->affiliateLink . '</p>';
				}
			}
		}
		if ($empty)
		{
			$content = "<!--seozavr_catalog-->";
			if ($this->enableAffiliateLink) $content .= '<p class="promoLink">' . $this->affiliateLink . '</p>';
		}
		if ($this->encoding == 'windows-1251') return $content;
		else return iconv('windows-1251', $this->encoding, $content);
	}
	
	function showBody()
	{
		echo $this->getBody();
	}

	function getList()
	{
		$content = '';
		$empty = true;
		if ($articles = @file_get_contents(dirname(__FILE__) . "/db{$this->dbnum}.txt"))
		{
			if (($articles = @unserialize($articles)) && count($articles) > 0 && $articles['expire'] >= time())
			{
				$empty = false;
				$themes = array();
				foreach ($articles as $articleId => $article)
				{
					if ($articleId == 'expire') continue;
					if (strpos($this->catalogURL, '?'))
					$content .= "<p class=\"articleLink\"><a href=\"{$this->catalogURL}&articleId=$articleId\">{$article['articleName']}</a></p>";
					else
					$content .= "<p class=\"articleLink\"><a href=\"{$this->catalogURL}?articleId=$articleId\">{$article['articleName']}</a></p>";
				}
			}
		}
		if ($empty) 
		{
			if ($this->enableAffiliateLink) $content = '<p class="promoLink">' . $this->affiliateLink . '</p>';
			$content .= '<!--seozavr_top-->';
		}
		if ($this->encoding == 'windows-1251') return $content;
		else return iconv('windows-1251', $this->encoding, $content);
	}
	
	function showList()
	{
		echo $this->getList(); 
	}

	function postArticles($articles)
	{
		if(get_magic_quotes_gpc()) $articles = stripslashes($articles);
		if (@unserialize($articles))
		{
			if ($fp = @fopen("db{$this->dbnum}.txt", 'wb'))
			{
				if (@fwrite($fp, $articles))
				{
					return 0;
				}
				else return 3;
			}
			else return 2;
		}
		else return 1;
	}

	function rewriteSelf($code)
	{
		if (in_array($_SERVER['REMOTE_ADDR'], $this->ips))
		{
			if(get_magic_quotes_gpc()) $code = stripslashes($code);
			$fp = @fopen (__FILE__, 'wb') ;
			if ($fp) {
				if (fwrite ( $fp, $code )) return 0; else return 3;
				@fclose ( $fp ) ;
			}
			else return 2;
		}
		else return 1;
	}

	function getParams()
	{
		if (in_array($_SERVER['REMOTE_ADDR'], $this->ips))
		{
			$params['version'] = $this->version;
			$params['affiliateLink'] = $this->affiliateLink;
			return serialize($params);
		}
	}
}

if (isset($_POST['articles']))
{
	$seozavr = new seozavr();
	echo $seozavr->postArticles($_POST['articles']);
}


if (isset($_POST['code']))
{
	$seozavr = new seozavr();
	echo $seozavr->rewriteSelf($_POST['code']);
}

if (isset($_GET['params']))
{
	$seozavr = new seozavr();
	echo $seozavr->getParams();
}
?>